%define name		x11-driver-video-nouveau
%define upname		xf86-video-nouveau
%define version		1.0.6
%define snapshot	0
%define rel		2

%if %{snapshot}
%define release %mkrel 5.%{snapshot}.%{rel}
%else
%define release %mkrel %{rel}
%endif

Summary:	Accelerated open source driver for NVIDIA cards
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/X11
License:	MIT
URL:		http://nouveau.freedesktop.org/
# rm -rf xf86-video-nouveau && git clone git://anongit.freedesktop.org/git/nouveau/xf86-video-nouveau/ && cd xf86-video-nouveau/
# git archive --prefix=xf86-video-nouveau-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../xf86-video-nouveau-$(date +%Y%m%d).tar.xz
%if %{snapshot}
Source0:	%{upname}-%{snapshot}.tar.xz
%else
#Source0:	http://nouveau.freedesktop.org/release/%{upname}-%{version}.tar.bz2
Source0:	http://xorg.freedesktop.org/releases/individual/driver/%{upname}-%{version}.tar.bz2
%endif
#BuildRequires:	pkgconfig(libdrm_nouveau) >= 2.4.25
BuildRequires: pkgconfig(libdrm_nouveau)
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-server-devel >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	GL-devel
BuildRequires:	udev-devel
Conflicts:	xorg-x11-server < 7.0
# No DKMS package for now; nouveau module is in main kernel.
# If needed, DKMS package may be resurrected, but work is needed to make it
# build with the new linux-2.6 tree of nouveau.
Obsoletes:	dkms-nouveau < 0.0.13-0.20090600
Requires:	kmod(nouveau)
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)
# No firmware needed:
Obsoletes:	nouveau-firmware < 20091212-2

%description
The nouveau project aims to build high-quality, open source drivers
for NVIDIA cards.

%prep
%if %{snapshot}
%setup -q -n %{upname}-%{snapshot}
%else
%setup -q -n %{upname}-%{version}
%endif
grep -q %{version} configure.ac

%build
%if %{snapshot}
autoreconf -v --install
%endif
%configure2_5x
%make

%install
%makeinstall_std

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/nouveau_drv.la
%{_libdir}/xorg/modules/drivers/nouveau_drv.so
%{_mandir}/man4/nouveau*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 385998
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 tv <tv> 1.0.6-1.mga3
+ Revision: 340935
- new release
- new URL

* Fri Nov 09 2012 tv <tv> 1.0.4-1.mga3
+ Revision: 316709
- new release

* Wed Oct 24 2012 tv <tv> 1.0.3-1.mga3
+ Revision: 309623
- new release

* Thu Sep 13 2012 tv <tv> 1.0.2-1.mga3
+ Revision: 293444
- new release

* Mon Sep 10 2012 blino <blino> 1.0.1-5.20120910.1.mga3
+ Revision: 292078
- fix snapshot builds
- update to git snapshot of 20120910 for PRIME support (DRI2 offload + provider)

* Thu Sep 06 2012 tv <tv> 1.0.1-4.mga3.nonfree
+ Revision: 288995
- rebuild for new xserver
- rebuild for new xserver

* Thu Jul 19 2012 tmb <tmb> 1.0.1-3.mga3
+ Revision: 272400
- rebuild for new glibc

  + colin <colin>
    - Temporarily downgrade nouveau drm requirements
    - Rebuild against new (old) libdrm_nouveau

* Fri Jun 29 2012 colin <colin> 1.0.1-2.mga3
+ Revision: 264947
- Rebuild against new libudev major

* Tue Jun 19 2012 fwang <fwang> 1.0.1-1.mga3
+ Revision: 261916
- new version 1.0.1
- use offical tarball

* Mon Jun 18 2012 tv <tv> 1.0.0-1.mga3
+ Revision: 261812
- fix non snapshot build
- new release (1.0.0!!!)

* Wed Jun 06 2012 tmb <tmb> 0.0.16-1.20120530.3.mga3
+ Revision: 256444
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 0.0.16-1.20120530.2.mga3
+ Revision: 252967
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 0.0.16-0.20120530.1.mga3.nonfree
+ Revision: 250200
- new snapshot
- rebuild for new X.org server

* Sun Mar 25 2012 tmb <tmb> 0.0.16-0.20120322.1.mga2
+ Revision: 226208
- update to 2012-03-22, adds Kepler (GTX6xx) support

* Tue Dec 06 2011 tmb <tmb> 0.0.16-0.20111203.2.mga2
+ Revision: 177462
- submit to core/release

* Sat Dec 03 2011 anssi <anssi> 0.0.16-0.20111203.1.mga2
+ Revision: 175273
- new snapshot

* Sat Oct 08 2011 tv <tv> 0.0.16-0.20110303.5.mga2
+ Revision: 153303
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 0.0.16-0.20110303.4.mga2
+ Revision: 153088
- rebuild for xserver-1.11

* Sat Mar 05 2011 tmb <tmb> 0.0.16-0.20110303.3.mga1
+ Revision: 65083
- update to 2011-03-03 snapshot

* Fri Mar 04 2011 tv <tv> 0.0.16-0.20110107.2.mga1
+ Revision: 64446
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 0.0.16-0.20110107.1.mga1
+ Revision: 50637
- update to 2011-01-07 snapshot
- add P0: revert changes not supported by 2.6.37 series headers

  + blino <blino>
    - imported package x11-driver-video-nouveau

